let themeName = window.localStorage.getItem('theme') || 'default';
if(window.localStorage.getItem('theme') !== null){
	loadTheme(themeName);
}

let loaded = false;

window.fn = {};

window.fn.open = function() {
	let menu = document.getElementById('menu');
	menu.open();
};

window.fn.load = function(page) {
	let content = document.getElementById('content');
	let menu = document.getElementById('menu');
	content.load(page).then(menu.close.bind(menu));
};

document.addEventListener('init',(event)=>{
	themeName = window.localStorage.getItem('theme') || 'default';
	let page = event.target;
	if(page.id == 'home'){
		if(!loaded){
			//showModal();
		}
		console.log('classssssssssssssssssssssssssssssssssssss')
		$('ons-button').on('click', function(e){
			let className = $(e.target).text();
			console.log(className);
			$('#navi')[0].setAttribute('animation', 'slide')
			$('#navi')[0].pushPage('timings.html', {
				data: {
					title: className
				}
			});
		});
	}else if(page.id =="timings"){
		console.log('---timings---------------')
		page.querySelector('ons-toolbar .center').innerHTML = page.data.title;



	}else if(page.id == 'settings'){
		$(`ons-radio[value=${themeName}]`).attr('checked', true);
		$('ons-radio').on('click', function(e){
			let name = $(e.target).val();
			loadTheme(name);
			window.localStorage.setItem('theme', name);
		});
	}
});

function showModal() {
	var modal = document.querySelector('ons-modal');
	modal.show();
	setTimeout(function() {
		modal.hide();
		loaded = true;
	}, 500);
}

function loadTheme(name){
	let head = document.head || document.getElementsByTagName('head')[0];
	$('link[title=mainCSS]').remove();
	if(name == 'default'){
		name = '';
	}
	$(head).append(`<link title="mainCSS" rel="stylesheet" href="css/${name != '' ? name+'-' : ''}onsen-css-components.min.css">`);
}